%bcond_with bootstrap

Name:           plexus-interpolation
Version:        1.27
Release:        %mkrel 3
Group:          Development/Java
Summary:        Plexus Interpolation API
# Most of the code is ASL 2.0, a few source files are ASL 1.1 and some tests are MIT
License:        ASL 2.0 and ASL 1.1 and MIT
URL:            https://github.com/codehaus-plexus/plexus-interpolation
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/plexus-interpolation/archive/plexus-interpolation-%{version}.tar.gz

Patch0:         0001-Use-PATH-env-variable-instead-of-JAVA_HOME.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter)
%endif

%description
Plexus interpolator is the outgrowth of multiple iterations of development
focused on providing a more modular, flexible interpolation framework for
the expression language style commonly seen in Maven, Plexus, and other
related projects.

%{?javadoc_package}

%prep
%setup -q -n plexus-interpolation-plexus-interpolation-%{version}
%patch -P 0 -p1
%pom_add_dep junit:junit:4.13.1:test
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-scm-publish-plugin

%build
%mvn_file : plexus/interpolation
%mvn_build

%install
%mvn_install

%files -f .mfiles


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.27-3.mga10
+ Revision: 2223830
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 1.27-2.mga10
+ Revision: 2067396
- rebuild without bootstrap

* Fri May 24 2024 ns80 <ns80> 1.27-1.mga10
+ Revision: 2067386
- bootstrap build
- new version 1.27 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1.26-13.mga9
+ Revision: 1871432
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1.26-12.mga9
+ Revision: 1870887
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 neoclust <neoclust> 1.26-3.mga8
+ Revision: 1615969
- Rebuild against java11

* Sat Feb 15 2020 umeabot <umeabot> 1.26-2.mga8
+ Revision: 1528640
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 1.26-1.mga8
+ Revision: 1431712
- Update to version 1.26, fixes rhbz#1724390

* Wed Sep 19 2018 umeabot <umeabot> 1.22-8.mga7
+ Revision: 1274444
- Mageia 7 Mass Rebuild

* Sun May 07 2017 neoclust <neoclust> 1.22-7.mga6
+ Revision: 1099561
- Remove BR on maven-release-plugin
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.22-5.mga6
+ Revision: 977789
- First rebuild of the java stack
- sync package plexus-interpolation with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 23 2014 pterjan <pterjan> 1.15-6.mga5
+ Revision: 804967
- Sync with Fedora 21
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.15-3.mga4
+ Revision: 517545
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.15-2.mga3
+ Revision: 377900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 gil <gil> 1.15-1.mga2
+ Revision: 217152
- update to 1.15

* Fri Dec 09 2011 dmorgan <dmorgan> 1.14-3.mga2
+ Revision: 179542
- Use add_maven_depmap macro

* Fri Dec 09 2011 dmorgan <dmorgan> 1.14-2.mga2
+ Revision: 179540
- Removal of plexus-maven-plugin dependency (not needed)

* Wed Jul 20 2011 dmorgan <dmorgan> 1.14-1.mga2
+ Revision: 126937
- Update to upstream 1.14.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.13-4.mga1
+ Revision: 93025
- Rebuild after bootstrapping
- imported package plexus-interpolation


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 1.13-2
- Fix review comments.

* Tue Dec 22 2009 Alexander Kurtakov <akurtako@redhat.com> 1.13-1
- Initial package.
